using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ZooContracts.BindingModels;
using ZooContracts.SearchModel;
using ZooContracts.ViewModels;

namespace ZooContracts.StoragesContracts
{
    public interface IRouteStorage
    {
        List<RouteViewModel> GetFullList();
        List<RouteViewModel> GetFilteredList(RouteSearchModel model);
        List<ReportRouteReservesViewModel> GetLessonRoutes(RouteSearchModel model);
        RouteViewModel? GetElement(RouteSearchModel model);
        RouteViewModel? Insert(RouteBindingModel model);
        RouteViewModel? Update(RouteBindingModel model);
        RouteViewModel? Delete(RouteBindingModel model);
    }
}
